package com.mortals.xhx.busiz.service;


import com.mortals.xhx.busiz.entity.OrderEntity;

/**
 * 测试幂等注解service
 *
 * @author wenpan 2023/01/07 10:14
 */
public interface TestIdempotentAnnotationService {

    /**
     * 新增订单
     *
     * @param orderEntity 订单实体
     * @return OrderEntity
     * @author wenpan 2023/1/7 10:16 上午
     */
    OrderEntity addOrder(OrderEntity orderEntity);

    /**
     * 修改订单
     *
     * @param orderEntity 订单实体
     * @return org.enhance.idempotent.demo.domain.entity.OrderEntity
     * @author wenpan 2023/1/7 10:38 上午
     */
    OrderEntity modifyOrder(OrderEntity orderEntity);

}
