package com.mortals.xhx.module.feedback.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.dept.model.DeptQuery;
import com.mortals.xhx.module.dept.service.DeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.feedback.model.FeedbackEntity;
import com.mortals.xhx.module.feedback.service.FeedbackService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 反馈信息
*
* @author zxfei
* @date 2023-09-18
*/
@RestController
@RequestMapping("feedback")
public class FeedbackController extends BaseCRUDJsonBodyMappingController<FeedbackService,FeedbackEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private DeptService deptService;

    public FeedbackController(){
        super.setModuleDesc( "反馈信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "isShow", paramService.getParamBySecondOrganize("Feedback","isShow"));
        this.addDict(model, "reply", paramService.getParamBySecondOrganize("Feedback","reply"));
        this.addDict(model, "feedbackType", paramService.getParamBySecondOrganize("Feedback","feedbackType"));
        this.addDict(model, "processStatus", paramService.getParamBySecondOrganize("Feedback","processStatus"));

        this.addDict(model, "deptId", paramService.getParamBySecondOrganize("Feedback","deptId"));


        super.init(model, context);
    }


}