package com.mortals.xhx.module.news.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.news.model.NewsEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 新闻视图对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class NewsVo extends BaseEntityLong {

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /**
     * 分享次数
     */
    private Integer shareNums;
    /**点赞状态**/
    private Integer upStatus;
    /**分享状态**/
    private Integer shareStatus;
    /**收藏状态**/
    private Integer favoriteStatus;
    /**
     * 头像地址
     */
    private String photoPath;
}