package com.mortals.xhx.module.news.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.news.dao.NewsCategoryDao;
import com.mortals.xhx.module.news.model.NewsCategoryEntity;
import com.mortals.xhx.module.news.service.NewsCategoryService;
import lombok.extern.slf4j.Slf4j;
/**
* NewsCategoryService
* 新闻频道分类 service实现
*
* @author zxfei
* @date 2023-09-18
*/
@Service("newsCategoryService")
@Slf4j
public class NewsCategoryServiceImpl extends AbstractCRUDServiceImpl<NewsCategoryDao, NewsCategoryEntity, Long> implements NewsCategoryService {
    
}