package com.mortals.xhx.module.news.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.news.dao.NewsUpDao;
import com.mortals.xhx.module.news.model.NewsUpEntity;
import com.mortals.xhx.module.news.service.NewsUpService;
import lombok.extern.slf4j.Slf4j;
/**
* NewsUpService
* 新闻点赞记录信息 service实现
*
* @author zxfei
* @date 2024-12-04
*/
@Service("newsUpService")
@Slf4j
public class NewsUpServiceImpl extends AbstractCRUDServiceImpl<NewsUpDao, NewsUpEntity, Long> implements NewsUpService {
    
}