package com.mortals.xhx.module.product.service;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.company.model.CompanyProductEntity;
import com.mortals.xhx.module.product.model.ProductEntity;
import com.mortals.xhx.module.product.dao.ProductDao;

import java.util.List;

/**
* ProductService
*
* 产品 service接口
*
* @author zxfei
* @date 2023-09-18
*/
public interface ProductService extends ICRUDCacheService<ProductEntity,Long> {

    ProductDao getDao();

    List<ProductEntity> getProductEntitiesByCompanyId(ProductEntity entity, List<CompanyProductEntity> companyProducList);
}