package com.mortals.xhx.busiz.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 订单entity
 *
 * @author wenpan 2023/1/7 10:19 上午
 */
@Data
public class OrderEntity {
    /**
     * 订单ID
     */
    private Integer orderId;
    /**
     * 订单来源平台
     */
    private String platformCode;
    /**
     * 订单名称
     */
    private String orderName;
    /**
     * 订单编号
     */
    private String orderNumber;
    /**
     * 订单总金额
     */
    private BigDecimal orderAmount;
    /**
     * 订单状态
     */
    private Integer orderStatus;
    /**
     * 创建日期
     */
    private LocalDateTime createDate;
    /**
     * 创建日期
     */
    private LocalDateTime lastModifyDate;
    /**
     * 订单行集合
     */
    private List<OrderLineEntity> orderLineEntityList;
}