package com.mortals.xhx.busiz.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订单行entity
 *
 * @author wenpan 2023/01/07 10:19
 */
@Data
public class OrderLineEntity {
    /**
     * 订单行ID
     */
    private Long orderLineId;
    /**
     * 订单行编号
     */
    private String orderLineNumber;
    /**
     * 对应的sku编号
     */
    private String skuCode;
    /**
     * 价格
     */
    private BigDecimal unitPrice;
    /**
     * 创建日期
     */
    private LocalDateTime createDate;
    /**
     * 创建日期
     */
    private LocalDateTime lastModifyDate;

}
