package com.mortals.xhx.module.base.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.base.model.BaseAreaEntity;
/**
* BaseAreaService
*
* 区域 service接口
*
* @author zxfei
* @date 2022-11-22
*/
public interface BaseAreaService extends ICRUDService<BaseAreaEntity,Long>{

    /**
     * 根据顶点名称生成子节点
     * @param  baseAreaEntity
     * @param context
     */
    Rest<String> genSubAreaByRootName(BaseAreaEntity baseAreaEntity, Context context);

}