package com.mortals.xhx.module.bussinesscard.service;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.bussinesscard.model.BussinesscardEntity;
import com.mortals.xhx.module.bussinesscard.model.BussinesscardRecordEntity;
import com.mortals.xhx.module.bussinesscard.dao.BussinesscardRecordDao;
/**
* BussinesscardRecordService
*
* 名片访问记录信息 service接口
*
* @author zxfei
* @date 2024-11-20
*/
public interface BussinesscardRecordService extends ICRUDService<BussinesscardRecordEntity,Long>{

    BussinesscardRecordDao getDao();

    /**
     * 根据名片信息保存浏览记录
     * @param bussinesscardEntity
     * @param context
     */
    void saveRecord(BussinesscardEntity bussinesscardEntity, Context context);
}