package com.mortals.xhx.module.company.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.CompanyEntity;

import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.company.model.CompanyLabelsEntity;
import com.mortals.xhx.module.company.model.CompanyPatentEntity;
import lombok.Data;
import com.mortals.framework.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 公司视图对象
 *
 * @author zxfei
 * @date 2023-09-18
 */
@Data
public class CompanyVo extends BaseEntityLong {

    /**
     * 主键ID，主键，自增长列表
     */
    private List<Long> idList;

    //公司专利
    private List<CompanyPatentEntity> companyPatentsList = new ArrayList<>();

    //产品数量
    private Integer productNums = 0;

    //名片数量
    private Integer businessCardNums = 0;
    /**
     * 发送名片次数
     */
    private Integer sendBusinessCardTimes;

}