package com.mortals.xhx.module.company.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.company.model.CompanyEntity;
import com.mortals.xhx.module.company.dao.CompanyDao;
import com.mortals.xhx.module.company.model.vo.HomeStatInfo;

/**
 * CompanyService
 * <p>
 * 公司 service接口
 *
 * @author zxfei
 * @date 2023-09-18
 */
public interface CompanyService extends ICRUDService<CompanyEntity, Long> {

    CompanyDao getDao();

    /**
     * 首页统计
     * @param context
     * @return
     */
    Rest<HomeStatInfo> indexStat(Context context);

}