package com.mortals.xhx.module.dept.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.DeptEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
* 部门信息视图对象
*
* @author zxfei
* @date 2023-03-06
*/
@Data
public class DeptVo extends BaseEntityLong {

    /** 子部门信息 */
    private List<DeptEntity> children = new ArrayList<>();
    /** 子节点人员信息 */
    private List<Map<String,Object>> personList = new ArrayList<>();
    //成员数量
}
