package com.mortals.xhx.module.news.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.news.dao.NewsRecordDao;
import com.mortals.xhx.module.news.model.NewsRecordEntity;
import com.mortals.xhx.module.news.service.NewsRecordService;
import lombok.extern.slf4j.Slf4j;
/**
* NewsRecordService
* 新闻访问记录信息 service实现
*
* @author zxfei
* @date 2023-09-18
*/
@Service("newsRecordService")
@Slf4j
public class NewsRecordServiceImpl extends AbstractCRUDServiceImpl<NewsRecordDao, NewsRecordEntity, Long> implements NewsRecordService {
    
}