package com.mortals.xhx.module.news.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.news.dao.NewsShareDao;
import com.mortals.xhx.module.news.model.NewsShareEntity;
import com.mortals.xhx.module.news.service.NewsShareService;
import lombok.extern.slf4j.Slf4j;
/**
* NewsShareService
* 新闻分享记录信息 service实现
*
* @author zxfei
* @date 2023-09-18
*/
@Service("newsShareService")
@Slf4j
public class NewsShareServiceImpl extends AbstractCRUDServiceImpl<NewsShareDao, NewsShareEntity, Long> implements NewsShareService {
    
}