package com.mortals.xhx.module.staff.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.staff.model.StaffEntity;
import com.mortals.xhx.module.staff.dao.StaffDao;
/**
* StaffService
*
* 员工基本信息 service接口
*
* @author zxfei
* @date 2023-09-18
*/
public interface StaffService extends ICRUDCacheService<StaffEntity,Long> {

    StaffDao getDao();


    Rest<Void> leave(StaffEntity staffEntity, Context context);

    /**
     * 更新名片访问信息
     * @param id
     */
    void saveView(Long id);
}